pydo.vector_databases.get()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.vector_databases.get(id="\"example string\"")
Returns JSONRaises HttpResponseError

Description

To show information about an existing vector database, send a GET request to /v2/vector-databases/{id}. The response body contains a JSON object with a vector_db key holding the standard vector database attributes, including an embedded endpoints object with the connection information needed to access the database.

Parameters

id string required

ID of the vector database.

Response Example

Show Response Example
{
  "vector_db": {
    "config": {
      "default_quantization": "example string",
      "enable_auto_schema": true,
      "weaviate_version": "example string"
    },
    "created_at": "2023-01-01T00:00:00Z",
    "endpoints": {
      "grpc": "my-db-tor1-a1b2c3d4-grpc.weaviate.ondigitalocean.com:443",
      "http": "https://my-db-tor1-a1b2c3d4.weaviate.ondigitalocean.com"
    },
    "forked_from_id": "123e4567-e89b-12d3-a456-426614174000",
    "id": "example string",
    "last_restore_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "example name",
    "owner_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "region": "tor1",
    "size": "example string",
    "status": "example string",
    "tags": [
      "example string"
    ],
    "updated_at": "2023-01-01T00:00:00Z"
  }
}

More Information

See /v2/vector-databases/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.